<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net48</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <ApplicationIcon>hMarkdown.ico</ApplicationIcon>
    <Deterministic>false</Deterministic>
    <GenerateResourceUsePreserializedResources>true</GenerateResourceUsePreserializedResources>
    
    <ManifestCertificateThumbprint>30C74CF3F4C04AC892558ECE90FE433BE8797724</ManifestCertificateThumbprint>
    <ManifestKeyFile>hMarkdown_TemporaryKey.pfx</ManifestKeyFile>
    <GenerateManifests>true</GenerateManifests>
    <SignManifests>true</SignManifests>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="System.Deployment" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Costura.Fody" Version="6.0.0">
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Fody" Version="6.8.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Markdig" Version="0.41.3" />
    <PackageReference Include="System.Buffers" Version="4.6.1" />
    <PackageReference Include="System.Memory" Version="4.6.3" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.6.1" />
    <PackageReference Include="System.Resources.Extensions" Version="8.0.0" />
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.1.2" />
  </ItemGroup>

</Project>